%define major		5000
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Shell command to back up directory trees and files
Name:		dar
Version:	2.4.11
Release:	%mkrel 1
URL:		http://dar.linux.free.fr/
License:	GPLv2+
Group:		Archiving/Backup
Source0:	http://download.sourceforge.net/dar/%{name}-%{version}.tar.gz
BuildRequires:	zlib-devel
BuildRequires:	gcc-c++
BuildRequires:	bzip2-devel
BuildRequires:	libattr-devel
BuildRequires:	libacl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	liblzo-devel
BuildRequires:	libext2fs-devel
BuildRequires:	doxygen

%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%package -n 	%{libname}
Group:		System/Libraries
Summary:	Shared library for %{name}
Obsoletes:	%{_lib}dar5 < 2.4.10-2

%description -n	%{libname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.


%package -n	%{develname}
Group:		Development/Other
Summary:	Development headers for %{name}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}dar-static-devel < 2.4.10

%description -n	%{develname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-upx
%make

%install
%makeinstall_std

# fix-up docs
install -m 644 doc/samples/README README.samples

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc README.samples doc/samples/cdbackup.sh doc/samples/darrc_sample doc/samples/sample1.txt
%doc doc/mini-howto/dar-differential-backup-mini-howto.*.html
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}rc

%files -n %{libname}
%{_libdir}/libdar.so.%{major}
%{_libdir}/libdar.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/libdar.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Wed Jan 22 2014 bcornec <bcornec> 2.4.11-1.mga4
+ Revision: 567446
- Updated dar to 2.4.11

* Sat Oct 19 2013 umeabot <umeabot> 2.4.10-3.mga4
+ Revision: 528293
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 wally <wally> 2.4.10-2.mga4
+ Revision: 444100
- fix libmajor

* Mon Jun 17 2013 wally <wally> 2.4.10-1.mga4
+ Revision: 444074
- new version 2.4.10
- disable static build
- update BuildRequires to build missing options (mga#10542)
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.4.2-3.mga3
+ Revision: 348608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 2.4.2-2.mga3
+ Revision: 335023
- add patch to fix build with gcc 4.7
- clean .spec a bit

* Sun Oct 09 2011 bcornec <bcornec> 2.4.2-1.mga2
+ Revision: 153387
- Adds sha1 file
- Working dar package for Mageia
- Adds a first version of dar.spec from Mandriva
- Created package structure for dar.

